/*
 * Intel ACPI Component Architecture
 * AML/ASL+ Disassembler version 20160831-64
 * Copyright (c) 2000 - 2016 Intel Corporation
 * 
 * Disassembling to symbolic ASL+ operators
 *
 * Disassembly of DSDT, Tue Jan 30 14:42:50 2018
 *
 * Original Table Header:
 *     Signature        "DSDT"
 *     Length           0x000023CA (9162)
 *     Revision         0x05
 *     Checksum         0x91
 *     OEM ID           "HPE   "
 *     OEM Table ID     "DSDT    "
 *     OEM Revision     0x00000001 (1)
 *     Compiler ID      "INTL"
 *     Compiler Version 0x20160527 (538314023)
 */
DefinitionBlock ("", "DSDT", 5, "HPE   ", "DSDT    ", 0x00000001)
{
    External (UCLK, PkgObj)

    OperationRegion (PGUD, SystemMemory, 0x17000078, 0x04)
    OperationRegion (PCTL, SystemMemory, 0x1700007C, 0x04)
    Field (PGUD, DWordAcc, NoLock, Preserve)
    {
        SOCG,   1, 
        L3CG,   1, 
        PD0G,   1, 
        PD1G,   1, 
        PD2G,   1, 
        PD3G,   1
    }

    Field (PCTL, DWordAcc, NoLock, Preserve)
    {
        SOCC,   1, 
        L3CC,   1, 
        PD0C,   1, 
        PD1C,   1, 
        PD2C,   1, 
        PD3C,   1
    }

    PowerResource (SCVR, 0x02, 0x0000)
    {
        Method (_STA, 0, NotSerialized)  // _STA: Status
        {
            Return ((NAnd (SOCC, One) & One))
        }

        Method (_ON, 0, NotSerialized)  // _ON_: Power On
        {
            SOCC = One
            Sleep (0x0A)
        }

        Method (_OFF, 0, NotSerialized)  // _OFF: Power Off
        {
            SOCC = Zero
            Sleep (0x0A)
        }
    }

    Name (_S0, Package (0x02)  // _S0_: S0 System State
    {
        Zero, 
        Zero
    })
    Name (_S1, Package (0x02)  // _S1_: S1 System State
    {
        One, 
        Zero
    })
    Name (_S2, Package (0x02)  // _S2_: S2 System State
    {
        0x02, 
        Zero
    })
    Device (_SB.CPU0)
    {
        Name (_UID, Zero)  // _UID: Unique ID
        Name (_HID, "ACPI0007" /* Processor Device */)  // _HID: Hardware ID
        Method (_STA, 0, NotSerialized)  // _STA: Status
        {
            Return (One)
        }

        Name (_CDM, Zero)  // _CDM: Clock Domain
        Method (_PSC, 0, NotSerialized)  // _PSC: Power State Current
        {
            Return (Zero)
        }

        Name (_S1D, 0x03)  // _S1D: S1 Device State
        Name (_S2D, 0x04)  // _S2D: S2 Device State
        Name (_S3D, 0x06)  // _S3D: S3 Device State
        Name (_PCT, Package (0x02)  // _PCT: Performance Control
        {
            ResourceTemplate ()
            {
                Register (SystemMemory, 
                    0x20,               // Bit Width
                    0x00,               // Bit Offset
                    0x0000000010550000, // Address
                    0x03,               // Access Size
                    )
            }, 

            ResourceTemplate ()
            {
                Register (SystemMemory, 
                    0x20,               // Bit Width
                    0x00,               // Bit Offset
                    0x0000000010550004, // Address
                    0x03,               // Access Size
                    )
            }
        })
        Name (_PSS, Package (0x05)  // _PSS: Performance Supported States
        {
            Package (0x06)
            {
                0x0960, 
                0x09C4, 
                0x0A, 
                0x0A, 
                0x10, 
                0x20
            }, 

            Package (0x06)
            {
                0x0960, 
                0x09C4, 
                0x0A, 
                0x0A, 
                0x11, 
                0x21
            }, 

            Package (0x06)
            {
                0x04B0, 
                0x05DC, 
                0x0A, 
                0x0A, 
                0x12, 
                0x22
            }, 

            Package (0x06)
            {
                0x0320, 
                0x03E8, 
                0x0A, 
                0x0A, 
                0x13, 
                0x23
            }, 

            Package (0x06)
            {
                0x0258, 
                0x0320, 
                0x0A, 
                0x0A, 
                0x14, 
                0x24
            }
        })
        Name (_PSD, Package (0x01)  // _PSD: Power State Dependencies
        {
            Package (0x05)
            {
                0x05, 
                Zero, 
                Zero, 
                0xFC, 
                0x02
            }
        })
        Name (_CST, Package (0x07)  // _CST: C-States
        {
            0x02, 
            Package (0x04)
            {
                ResourceTemplate ()
                {
                    Register (FFixedHW, 
                        0x00,               // Bit Width
                        0x00,               // Bit Offset
                        0x0000000000000000, // Address
                        ,)
                }, 

                One, 
                Zero, 
                0x09C4
            }, 

            Package (0x04)
            {
                ResourceTemplate ()
                {
                    Register (SystemMemory, 
                        0x20,               // Bit Width
                        0x00,               // Bit Offset
                        0x0000000000000000, // Address
                        0x03,               // Access Size
                        )
                }, 

                0x02, 
                Zero, 
                Zero
            }, 

            Package (0x04)
            {
                ResourceTemplate ()
                {
                    Register (SystemMemory, 
                        0x20,               // Bit Width
                        0x00,               // Bit Offset
                        0x0000000010550018, // Address
                        0x03,               // Access Size
                        )
                }, 

                0x03, 
                0x00030D40, 
                0x0708
            }, 

            Package (0x04)
            {
                ResourceTemplate ()
                {
                    Register (SystemMemory, 
                        0x20,               // Bit Width
                        0x00,               // Bit Offset
                        0x000000001055001C, // Address
                        0x03,               // Access Size
                        )
                }, 

                0x04, 
                0x0007A120, 
                0x03E8
            }, 

            Package (0x04)
            {
                ResourceTemplate ()
                {
                    Register (SystemMemory, 
                        0x20,               // Bit Width
                        0x00,               // Bit Offset
                        0x0000000000000000, // Address
                        0x03,               // Access Size
                        )
                }, 

                0x05, 
                Zero, 
                Zero
            }, 

            Package (0x04)
            {
                ResourceTemplate ()
                {
                    Register (SystemMemory, 
                        0x20,               // Bit Width
                        0x00,               // Bit Offset
                        0x0000000010550020, // Address
                        0x03,               // Access Size
                        )
                }, 

                0x06, 
                0x00989680, 
                Zero
            }
        })
        Name (_CSD, Package (0x03)  // _CSD: C-State Dependencies
        {
            Package (0x06)
            {
                0x06, 
                Zero, 
                One, 
                0xFC, 
                0x02, 
                0x02
            }, 

            Package (0x06)
            {
                0x06, 
                Zero, 
                0x05, 
                0xFC, 
                0x08, 
                0x03
            }, 

            Package (0x06)
            {
                0x06, 
                Zero, 
                0x06, 
                0xFC, 
                0x08, 
                0x05
            }
        })
    }

    Device (_SB.CPU1)
    {
        Name (_UID, One)  // _UID: Unique ID
        Name (_HID, "ACPI0007" /* Processor Device */)  // _HID: Hardware ID
        Method (_STA, 0, NotSerialized)  // _STA: Status
        {
            Return (One)
        }

        Name (_CDM, Zero)  // _CDM: Clock Domain
        Method (_PSC, 0, NotSerialized)  // _PSC: Power State Current
        {
            Return (Zero)
        }

        Name (_S1D, 0x03)  // _S1D: S1 Device State
        Name (_S2D, 0x04)  // _S2D: S2 Device State
        Name (_S3D, 0x06)  // _S3D: S3 Device State
        Name (_PCT, Package (0x02)  // _PCT: Performance Control
        {
            ResourceTemplate ()
            {
                Register (SystemMemory, 
                    0x20,               // Bit Width
                    0x00,               // Bit Offset
                    0x0000000010551000, // Address
                    0x03,               // Access Size
                    )
            }, 

            ResourceTemplate ()
            {
                Register (SystemMemory, 
                    0x20,               // Bit Width
                    0x00,               // Bit Offset
                    0x0000000010551004, // Address
                    0x03,               // Access Size
                    )
            }
        })
        Name (_PSS, Package (0x05)  // _PSS: Performance Supported States
        {
            Package (0x06)
            {
                0x0960, 
                0x09C4, 
                0x0A, 
                0x0A, 
                0x10, 
                0x20
            }, 

            Package (0x06)
            {
                0x0960, 
                0x09C4, 
                0x0A, 
                0x0A, 
                0x11, 
                0x21
            }, 

            Package (0x06)
            {
                0x04B0, 
                0x05DC, 
                0x0A, 
                0x0A, 
                0x12, 
                0x22
            }, 

            Package (0x06)
            {
                0x0320, 
                0x03E8, 
                0x0A, 
                0x0A, 
                0x13, 
                0x23
            }, 

            Package (0x06)
            {
                0x0258, 
                0x0320, 
                0x0A, 
                0x0A, 
                0x14, 
                0x24
            }
        })
        Name (_PSD, Package (0x01)  // _PSD: Power State Dependencies
        {
            Package (0x05)
            {
                0x05, 
                Zero, 
                Zero, 
                0xFC, 
                0x02
            }
        })
        Name (_CST, Package (0x07)  // _CST: C-States
        {
            0x02, 
            Package (0x04)
            {
                ResourceTemplate ()
                {
                    Register (FFixedHW, 
                        0x00,               // Bit Width
                        0x00,               // Bit Offset
                        0x0000000000000000, // Address
                        ,)
                }, 

                One, 
                Zero, 
                0x09C4
            }, 

            Package (0x04)
            {
                ResourceTemplate ()
                {
                    Register (SystemMemory, 
                        0x20,               // Bit Width
                        0x00,               // Bit Offset
                        0x0000000000000000, // Address
                        0x03,               // Access Size
                        )
                }, 

                0x02, 
                Zero, 
                Zero
            }, 

            Package (0x04)
            {
                ResourceTemplate ()
                {
                    Register (SystemMemory, 
                        0x20,               // Bit Width
                        0x00,               // Bit Offset
                        0x0000000010551018, // Address
                        0x03,               // Access Size
                        )
                }, 

                0x03, 
                0x00030D40, 
                0x0708
            }, 

            Package (0x04)
            {
                ResourceTemplate ()
                {
                    Register (SystemMemory, 
                        0x20,               // Bit Width
                        0x00,               // Bit Offset
                        0x000000001055101C, // Address
                        0x03,               // Access Size
                        )
                }, 

                0x04, 
                0x0007A120, 
                0x03E8
            }, 

            Package (0x04)
            {
                ResourceTemplate ()
                {
                    Register (SystemMemory, 
                        0x20,               // Bit Width
                        0x00,               // Bit Offset
                        0x0000000000000000, // Address
                        0x03,               // Access Size
                        )
                }, 

                0x05, 
                Zero, 
                Zero
            }, 

            Package (0x04)
            {
                ResourceTemplate ()
                {
                    Register (SystemMemory, 
                        0x20,               // Bit Width
                        0x00,               // Bit Offset
                        0x0000000010551020, // Address
                        0x03,               // Access Size
                        )
                }, 

                0x06, 
                0x00989680, 
                Zero
            }
        })
        Name (_CSD, Package (0x03)  // _CSD: C-State Dependencies
        {
            Package (0x06)
            {
                0x06, 
                Zero, 
                One, 
                0xFC, 
                0x02, 
                0x02
            }, 

            Package (0x06)
            {
                0x06, 
                Zero, 
                0x05, 
                0xFC, 
                0x08, 
                0x03
            }, 

            Package (0x06)
            {
                0x06, 
                Zero, 
                0x06, 
                0xFC, 
                0x08, 
                0x05
            }
        })
    }

    Device (_SB.CPU2)
    {
        Name (_UID, 0x0100)  // _UID: Unique ID
        Name (_HID, "ACPI0007" /* Processor Device */)  // _HID: Hardware ID
        Method (_STA, 0, NotSerialized)  // _STA: Status
        {
            Return (One)
        }

        Name (_CDM, One)  // _CDM: Clock Domain
        Method (_PSC, 0, NotSerialized)  // _PSC: Power State Current
        {
            Return (Zero)
        }

        Name (_S1D, 0x03)  // _S1D: S1 Device State
        Name (_S2D, 0x04)  // _S2D: S2 Device State
        Name (_S3D, 0x06)  // _S3D: S3 Device State
        Name (_PCT, Package (0x02)  // _PCT: Performance Control
        {
            ResourceTemplate ()
            {
                Register (SystemMemory, 
                    0x20,               // Bit Width
                    0x00,               // Bit Offset
                    0x0000000010552000, // Address
                    0x03,               // Access Size
                    )
            }, 

            ResourceTemplate ()
            {
                Register (SystemMemory, 
                    0x20,               // Bit Width
                    0x00,               // Bit Offset
                    0x0000000010552004, // Address
                    0x03,               // Access Size
                    )
            }
        })
        Name (_PSS, Package (0x05)  // _PSS: Performance Supported States
        {
            Package (0x06)
            {
                0x0960, 
                0x09C4, 
                0x0A, 
                0x0A, 
                0x10, 
                0x20
            }, 

            Package (0x06)
            {
                0x0960, 
                0x09C4, 
                0x0A, 
                0x0A, 
                0x11, 
                0x21
            }, 

            Package (0x06)
            {
                0x04B0, 
                0x05DC, 
                0x0A, 
                0x0A, 
                0x12, 
                0x22
            }, 

            Package (0x06)
            {
                0x0320, 
                0x03E8, 
                0x0A, 
                0x0A, 
                0x13, 
                0x23
            }, 

            Package (0x06)
            {
                0x0258, 
                0x0320, 
                0x0A, 
                0x0A, 
                0x14, 
                0x24
            }
        })
        Name (_PSD, Package (0x01)  // _PSD: Power State Dependencies
        {
            Package (0x05)
            {
                0x05, 
                Zero, 
                One, 
                0xFC, 
                0x02
            }
        })
        Name (_CST, Package (0x07)  // _CST: C-States
        {
            0x02, 
            Package (0x04)
            {
                ResourceTemplate ()
                {
                    Register (FFixedHW, 
                        0x00,               // Bit Width
                        0x00,               // Bit Offset
                        0x0000000000000000, // Address
                        ,)
                }, 

                One, 
                Zero, 
                0x09C4
            }, 

            Package (0x04)
            {
                ResourceTemplate ()
                {
                    Register (SystemMemory, 
                        0x20,               // Bit Width
                        0x00,               // Bit Offset
                        0x0000000000000000, // Address
                        0x03,               // Access Size
                        )
                }, 

                0x02, 
                Zero, 
                Zero
            }, 

            Package (0x04)
            {
                ResourceTemplate ()
                {
                    Register (SystemMemory, 
                        0x20,               // Bit Width
                        0x00,               // Bit Offset
                        0x0000000010552018, // Address
                        0x03,               // Access Size
                        )
                }, 

                0x03, 
                0x00030D40, 
                0x0708
            }, 

            Package (0x04)
            {
                ResourceTemplate ()
                {
                    Register (SystemMemory, 
                        0x20,               // Bit Width
                        0x00,               // Bit Offset
                        0x000000001055201C, // Address
                        0x03,               // Access Size
                        )
                }, 

                0x04, 
                0x0007A120, 
                0x03E8
            }, 

            Package (0x04)
            {
                ResourceTemplate ()
                {
                    Register (SystemMemory, 
                        0x20,               // Bit Width
                        0x00,               // Bit Offset
                        0x0000000000000000, // Address
                        0x03,               // Access Size
                        )
                }, 

                0x05, 
                Zero, 
                Zero
            }, 

            Package (0x04)
            {
                ResourceTemplate ()
                {
                    Register (SystemMemory, 
                        0x20,               // Bit Width
                        0x00,               // Bit Offset
                        0x0000000010552020, // Address
                        0x03,               // Access Size
                        )
                }, 

                0x06, 
                0x00989680, 
                Zero
            }
        })
        Name (_CSD, Package (0x03)  // _CSD: C-State Dependencies
        {
            Package (0x06)
            {
                0x06, 
                Zero, 
                0x02, 
                0xFC, 
                0x02, 
                0x02
            }, 

            Package (0x06)
            {
                0x06, 
                Zero, 
                0x05, 
                0xFC, 
                0x08, 
                0x03
            }, 

            Package (0x06)
            {
                0x06, 
                Zero, 
                0x06, 
                0xFC, 
                0x08, 
                0x05
            }
        })
    }

    Device (_SB.CPU3)
    {
        Name (_UID, 0x0101)  // _UID: Unique ID
        Name (_HID, "ACPI0007" /* Processor Device */)  // _HID: Hardware ID
        Method (_STA, 0, NotSerialized)  // _STA: Status
        {
            Return (One)
        }

        Name (_CDM, One)  // _CDM: Clock Domain
        Method (_PSC, 0, NotSerialized)  // _PSC: Power State Current
        {
            Return (Zero)
        }

        Name (_S1D, 0x03)  // _S1D: S1 Device State
        Name (_S2D, 0x04)  // _S2D: S2 Device State
        Name (_S3D, 0x06)  // _S3D: S3 Device State
        Name (_PCT, Package (0x02)  // _PCT: Performance Control
        {
            ResourceTemplate ()
            {
                Register (SystemMemory, 
                    0x20,               // Bit Width
                    0x00,               // Bit Offset
                    0x0000000010553000, // Address
                    0x03,               // Access Size
                    )
            }, 

            ResourceTemplate ()
            {
                Register (SystemMemory, 
                    0x20,               // Bit Width
                    0x00,               // Bit Offset
                    0x0000000010553004, // Address
                    0x03,               // Access Size
                    )
            }
        })
        Name (_PSS, Package (0x05)  // _PSS: Performance Supported States
        {
            Package (0x06)
            {
                0x0960, 
                0x09C4, 
                0x0A, 
                0x0A, 
                0x10, 
                0x20
            }, 

            Package (0x06)
            {
                0x0960, 
                0x09C4, 
                0x0A, 
                0x0A, 
                0x11, 
                0x21
            }, 

            Package (0x06)
            {
                0x04B0, 
                0x05DC, 
                0x0A, 
                0x0A, 
                0x12, 
                0x22
            }, 

            Package (0x06)
            {
                0x0320, 
                0x03E8, 
                0x0A, 
                0x0A, 
                0x13, 
                0x23
            }, 

            Package (0x06)
            {
                0x0258, 
                0x0320, 
                0x0A, 
                0x0A, 
                0x14, 
                0x24
            }
        })
        Name (_PSD, Package (0x01)  // _PSD: Power State Dependencies
        {
            Package (0x05)
            {
                0x05, 
                Zero, 
                One, 
                0xFC, 
                0x02
            }
        })
        Name (_CST, Package (0x07)  // _CST: C-States
        {
            0x02, 
            Package (0x04)
            {
                ResourceTemplate ()
                {
                    Register (FFixedHW, 
                        0x00,               // Bit Width
                        0x00,               // Bit Offset
                        0x0000000000000000, // Address
                        ,)
                }, 

                One, 
                Zero, 
                0x09C4
            }, 

            Package (0x04)
            {
                ResourceTemplate ()
                {
                    Register (SystemMemory, 
                        0x20,               // Bit Width
                        0x00,               // Bit Offset
                        0x0000000000000000, // Address
                        0x03,               // Access Size
                        )
                }, 

                0x02, 
                Zero, 
                Zero
            }, 

            Package (0x04)
            {
                ResourceTemplate ()
                {
                    Register (SystemMemory, 
                        0x20,               // Bit Width
                        0x00,               // Bit Offset
                        0x0000000010553018, // Address
                        0x03,               // Access Size
                        )
                }, 

                0x03, 
                0x00030D40, 
                0x0708
            }, 

            Package (0x04)
            {
                ResourceTemplate ()
                {
                    Register (SystemMemory, 
                        0x20,               // Bit Width
                        0x00,               // Bit Offset
                        0x000000001055301C, // Address
                        0x03,               // Access Size
                        )
                }, 

                0x04, 
                0x0007A120, 
                0x03E8
            }, 

            Package (0x04)
            {
                ResourceTemplate ()
                {
                    Register (SystemMemory, 
                        0x20,               // Bit Width
                        0x00,               // Bit Offset
                        0x0000000000000000, // Address
                        0x03,               // Access Size
                        )
                }, 

                0x05, 
                Zero, 
                Zero
            }, 

            Package (0x04)
            {
                ResourceTemplate ()
                {
                    Register (SystemMemory, 
                        0x20,               // Bit Width
                        0x00,               // Bit Offset
                        0x0000000010553020, // Address
                        0x03,               // Access Size
                        )
                }, 

                0x06, 
                0x00989680, 
                Zero
            }
        })
        Name (_CSD, Package (0x03)  // _CSD: C-State Dependencies
        {
            Package (0x06)
            {
                0x06, 
                Zero, 
                0x02, 
                0xFC, 
                0x02, 
                0x02
            }, 

            Package (0x06)
            {
                0x06, 
                Zero, 
                0x05, 
                0xFC, 
                0x08, 
                0x03
            }, 

            Package (0x06)
            {
                0x06, 
                Zero, 
                0x06, 
                0xFC, 
                0x08, 
                0x05
            }
        })
    }

    Device (_SB.CPU4)
    {
        Name (_UID, 0x0200)  // _UID: Unique ID
        Name (_HID, "ACPI0007" /* Processor Device */)  // _HID: Hardware ID
        Method (_STA, 0, NotSerialized)  // _STA: Status
        {
            Return (One)
        }

        Name (_CDM, 0x02)  // _CDM: Clock Domain
        Method (_PSC, 0, NotSerialized)  // _PSC: Power State Current
        {
            Return (Zero)
        }

        Name (_S1D, 0x03)  // _S1D: S1 Device State
        Name (_S2D, 0x04)  // _S2D: S2 Device State
        Name (_S3D, 0x06)  // _S3D: S3 Device State
        Name (_PCT, Package (0x02)  // _PCT: Performance Control
        {
            ResourceTemplate ()
            {
                Register (SystemMemory, 
                    0x20,               // Bit Width
                    0x00,               // Bit Offset
                    0x0000000010554000, // Address
                    0x03,               // Access Size
                    )
            }, 

            ResourceTemplate ()
            {
                Register (SystemMemory, 
                    0x20,               // Bit Width
                    0x00,               // Bit Offset
                    0x0000000010554004, // Address
                    0x03,               // Access Size
                    )
            }
        })
        Name (_PSS, Package (0x05)  // _PSS: Performance Supported States
        {
            Package (0x06)
            {
                0x0960, 
                0x09C4, 
                0x0A, 
                0x0A, 
                0x10, 
                0x20
            }, 

            Package (0x06)
            {
                0x0960, 
                0x09C4, 
                0x0A, 
                0x0A, 
                0x11, 
                0x21
            }, 

            Package (0x06)
            {
                0x04B0, 
                0x05DC, 
                0x0A, 
                0x0A, 
                0x12, 
                0x22
            }, 

            Package (0x06)
            {
                0x0320, 
                0x03E8, 
                0x0A, 
                0x0A, 
                0x13, 
                0x23
            }, 

            Package (0x06)
            {
                0x0258, 
                0x0320, 
                0x0A, 
                0x0A, 
                0x14, 
                0x24
            }
        })
        Name (_PSD, Package (0x01)  // _PSD: Power State Dependencies
        {
            Package (0x05)
            {
                0x05, 
                Zero, 
                0x02, 
                0xFC, 
                0x02
            }
        })
        Name (_CST, Package (0x07)  // _CST: C-States
        {
            0x02, 
            Package (0x04)
            {
                ResourceTemplate ()
                {
                    Register (FFixedHW, 
                        0x00,               // Bit Width
                        0x00,               // Bit Offset
                        0x0000000000000000, // Address
                        ,)
                }, 

                One, 
                Zero, 
                0x09C4
            }, 

            Package (0x04)
            {
                ResourceTemplate ()
                {
                    Register (SystemMemory, 
                        0x20,               // Bit Width
                        0x00,               // Bit Offset
                        0x0000000000000000, // Address
                        0x03,               // Access Size
                        )
                }, 

                0x02, 
                Zero, 
                Zero
            }, 

            Package (0x04)
            {
                ResourceTemplate ()
                {
                    Register (SystemMemory, 
                        0x20,               // Bit Width
                        0x00,               // Bit Offset
                        0x0000000010554018, // Address
                        0x03,               // Access Size
                        )
                }, 

                0x03, 
                0x00030D40, 
                0x0708
            }, 

            Package (0x04)
            {
                ResourceTemplate ()
                {
                    Register (SystemMemory, 
                        0x20,               // Bit Width
                        0x00,               // Bit Offset
                        0x000000001055401C, // Address
                        0x03,               // Access Size
                        )
                }, 

                0x04, 
                0x0007A120, 
                0x03E8
            }, 

            Package (0x04)
            {
                ResourceTemplate ()
                {
                    Register (SystemMemory, 
                        0x20,               // Bit Width
                        0x00,               // Bit Offset
                        0x0000000000000000, // Address
                        0x03,               // Access Size
                        )
                }, 

                0x05, 
                Zero, 
                Zero
            }, 

            Package (0x04)
            {
                ResourceTemplate ()
                {
                    Register (SystemMemory, 
                        0x20,               // Bit Width
                        0x00,               // Bit Offset
                        0x0000000010554020, // Address
                        0x03,               // Access Size
                        )
                }, 

                0x06, 
                0x00989680, 
                Zero
            }
        })
        Name (_CSD, Package (0x03)  // _CSD: C-State Dependencies
        {
            Package (0x06)
            {
                0x06, 
                Zero, 
                0x03, 
                0xFC, 
                0x02, 
                0x02
            }, 

            Package (0x06)
            {
                0x06, 
                Zero, 
                0x05, 
                0xFC, 
                0x08, 
                0x03
            }, 

            Package (0x06)
            {
                0x06, 
                Zero, 
                0x06, 
                0xFC, 
                0x08, 
                0x05
            }
        })
    }

    Device (_SB.CPU5)
    {
        Name (_UID, 0x0201)  // _UID: Unique ID
        Name (_HID, "ACPI0007" /* Processor Device */)  // _HID: Hardware ID
        Method (_STA, 0, NotSerialized)  // _STA: Status
        {
            Return (One)
        }

        Name (_CDM, 0x02)  // _CDM: Clock Domain
        Method (_PSC, 0, NotSerialized)  // _PSC: Power State Current
        {
            Return (Zero)
        }

        Name (_S1D, 0x03)  // _S1D: S1 Device State
        Name (_S2D, 0x04)  // _S2D: S2 Device State
        Name (_S3D, 0x06)  // _S3D: S3 Device State
        Name (_PCT, Package (0x02)  // _PCT: Performance Control
        {
            ResourceTemplate ()
            {
                Register (SystemMemory, 
                    0x20,               // Bit Width
                    0x00,               // Bit Offset
                    0x0000000010555000, // Address
                    0x03,               // Access Size
                    )
            }, 

            ResourceTemplate ()
            {
                Register (SystemMemory, 
                    0x20,               // Bit Width
                    0x00,               // Bit Offset
                    0x0000000010555004, // Address
                    0x03,               // Access Size
                    )
            }
        })
        Name (_PSS, Package (0x05)  // _PSS: Performance Supported States
        {
            Package (0x06)
            {
                0x0960, 
                0x09C4, 
                0x0A, 
                0x0A, 
                0x10, 
                0x20
            }, 

            Package (0x06)
            {
                0x0960, 
                0x09C4, 
                0x0A, 
                0x0A, 
                0x11, 
                0x21
            }, 

            Package (0x06)
            {
                0x04B0, 
                0x05DC, 
                0x0A, 
                0x0A, 
                0x12, 
                0x22
            }, 

            Package (0x06)
            {
                0x0320, 
                0x03E8, 
                0x0A, 
                0x0A, 
                0x13, 
                0x23
            }, 

            Package (0x06)
            {
                0x0258, 
                0x0320, 
                0x0A, 
                0x0A, 
                0x14, 
                0x24
            }
        })
        Name (_PSD, Package (0x01)  // _PSD: Power State Dependencies
        {
            Package (0x05)
            {
                0x05, 
                Zero, 
                0x02, 
                0xFC, 
                0x02
            }
        })
        Name (_CST, Package (0x07)  // _CST: C-States
        {
            0x02, 
            Package (0x04)
            {
                ResourceTemplate ()
                {
                    Register (FFixedHW, 
                        0x00,               // Bit Width
                        0x00,               // Bit Offset
                        0x0000000000000000, // Address
                        ,)
                }, 

                One, 
                Zero, 
                0x09C4
            }, 

            Package (0x04)
            {
                ResourceTemplate ()
                {
                    Register (SystemMemory, 
                        0x20,               // Bit Width
                        0x00,               // Bit Offset
                        0x0000000000000000, // Address
                        0x03,               // Access Size
                        )
                }, 

                0x02, 
                Zero, 
                Zero
            }, 

            Package (0x04)
            {
                ResourceTemplate ()
                {
                    Register (SystemMemory, 
                        0x20,               // Bit Width
                        0x00,               // Bit Offset
                        0x0000000010555018, // Address
                        0x03,               // Access Size
                        )
                }, 

                0x03, 
                0x00030D40, 
                0x0708
            }, 

            Package (0x04)
            {
                ResourceTemplate ()
                {
                    Register (SystemMemory, 
                        0x20,               // Bit Width
                        0x00,               // Bit Offset
                        0x000000001055501C, // Address
                        0x03,               // Access Size
                        )
                }, 

                0x04, 
                0x0007A120, 
                0x03E8
            }, 

            Package (0x04)
            {
                ResourceTemplate ()
                {
                    Register (SystemMemory, 
                        0x20,               // Bit Width
                        0x00,               // Bit Offset
                        0x0000000000000000, // Address
                        0x03,               // Access Size
                        )
                }, 

                0x05, 
                Zero, 
                Zero
            }, 

            Package (0x04)
            {
                ResourceTemplate ()
                {
                    Register (SystemMemory, 
                        0x20,               // Bit Width
                        0x00,               // Bit Offset
                        0x0000000010555020, // Address
                        0x03,               // Access Size
                        )
                }, 

                0x06, 
                0x00989680, 
                Zero
            }
        })
        Name (_CSD, Package (0x03)  // _CSD: C-State Dependencies
        {
            Package (0x06)
            {
                0x06, 
                Zero, 
                0x03, 
                0xFC, 
                0x02, 
                0x02
            }, 

            Package (0x06)
            {
                0x06, 
                Zero, 
                0x05, 
                0xFC, 
                0x08, 
                0x03
            }, 

            Package (0x06)
            {
                0x06, 
                Zero, 
                0x06, 
                0xFC, 
                0x08, 
                0x05
            }
        })
    }

    Device (_SB.CPU6)
    {
        Name (_UID, 0x0300)  // _UID: Unique ID
        Name (_HID, "ACPI0007" /* Processor Device */)  // _HID: Hardware ID
        Method (_STA, 0, NotSerialized)  // _STA: Status
        {
            Return (One)
        }

        Name (_CDM, 0x03)  // _CDM: Clock Domain
        Method (_PSC, 0, NotSerialized)  // _PSC: Power State Current
        {
            Return (Zero)
        }

        Name (_S1D, 0x03)  // _S1D: S1 Device State
        Name (_S2D, 0x04)  // _S2D: S2 Device State
        Name (_S3D, 0x06)  // _S3D: S3 Device State
        Name (_PCT, Package (0x02)  // _PCT: Performance Control
        {
            ResourceTemplate ()
            {
                Register (SystemMemory, 
                    0x20,               // Bit Width
                    0x00,               // Bit Offset
                    0x0000000010556000, // Address
                    0x03,               // Access Size
                    )
            }, 

            ResourceTemplate ()
            {
                Register (SystemMemory, 
                    0x20,               // Bit Width
                    0x00,               // Bit Offset
                    0x0000000010556004, // Address
                    0x03,               // Access Size
                    )
            }
        })
        Name (_PSS, Package (0x05)  // _PSS: Performance Supported States
        {
            Package (0x06)
            {
                0x0960, 
                0x09C4, 
                0x0A, 
                0x0A, 
                0x10, 
                0x20
            }, 

            Package (0x06)
            {
                0x0960, 
                0x09C4, 
                0x0A, 
                0x0A, 
                0x11, 
                0x21
            }, 

            Package (0x06)
            {
                0x04B0, 
                0x05DC, 
                0x0A, 
                0x0A, 
                0x12, 
                0x22
            }, 

            Package (0x06)
            {
                0x0320, 
                0x03E8, 
                0x0A, 
                0x0A, 
                0x13, 
                0x23
            }, 

            Package (0x06)
            {
                0x0258, 
                0x0320, 
                0x0A, 
                0x0A, 
                0x14, 
                0x24
            }
        })
        Name (_PSD, Package (0x01)  // _PSD: Power State Dependencies
        {
            Package (0x05)
            {
                0x05, 
                Zero, 
                0x03, 
                0xFC, 
                0x02
            }
        })
        Name (_CST, Package (0x07)  // _CST: C-States
        {
            0x02, 
            Package (0x04)
            {
                ResourceTemplate ()
                {
                    Register (FFixedHW, 
                        0x00,               // Bit Width
                        0x00,               // Bit Offset
                        0x0000000000000000, // Address
                        ,)
                }, 

                One, 
                Zero, 
                0x09C4
            }, 

            Package (0x04)
            {
                ResourceTemplate ()
                {
                    Register (SystemMemory, 
                        0x20,               // Bit Width
                        0x00,               // Bit Offset
                        0x0000000000000000, // Address
                        0x03,               // Access Size
                        )
                }, 

                0x02, 
                Zero, 
                Zero
            }, 

            Package (0x04)
            {
                ResourceTemplate ()
                {
                    Register (SystemMemory, 
                        0x20,               // Bit Width
                        0x00,               // Bit Offset
                        0x0000000010556018, // Address
                        0x03,               // Access Size
                        )
                }, 

                0x03, 
                0x00030D40, 
                0x0708
            }, 

            Package (0x04)
            {
                ResourceTemplate ()
                {
                    Register (SystemMemory, 
                        0x20,               // Bit Width
                        0x00,               // Bit Offset
                        0x000000001055601C, // Address
                        0x03,               // Access Size
                        )
                }, 

                0x04, 
                0x0007A120, 
                0x03E8
            }, 

            Package (0x04)
            {
                ResourceTemplate ()
                {
                    Register (SystemMemory, 
                        0x20,               // Bit Width
                        0x00,               // Bit Offset
                        0x0000000000000000, // Address
                        0x03,               // Access Size
                        )
                }, 

                0x05, 
                Zero, 
                Zero
            }, 

            Package (0x04)
            {
                ResourceTemplate ()
                {
                    Register (SystemMemory, 
                        0x20,               // Bit Width
                        0x00,               // Bit Offset
                        0x0000000010556020, // Address
                        0x03,               // Access Size
                        )
                }, 

                0x06, 
                0x00989680, 
                Zero
            }
        })
        Name (_CSD, Package (0x03)  // _CSD: C-State Dependencies
        {
            Package (0x06)
            {
                0x06, 
                Zero, 
                0x04, 
                0xFC, 
                0x02, 
                0x02
            }, 

            Package (0x06)
            {
                0x06, 
                Zero, 
                0x05, 
                0xFC, 
                0x08, 
                0x03
            }, 

            Package (0x06)
            {
                0x06, 
                Zero, 
                0x06, 
                0xFC, 
                0x08, 
                0x05
            }
        })
    }

    Device (_SB.CPU7)
    {
        Name (_UID, 0x0301)  // _UID: Unique ID
        Name (_HID, "ACPI0007" /* Processor Device */)  // _HID: Hardware ID
        Method (_STA, 0, NotSerialized)  // _STA: Status
        {
            Return (One)
        }

        Name (_CDM, 0x03)  // _CDM: Clock Domain
        Method (_PSC, 0, NotSerialized)  // _PSC: Power State Current
        {
            Return (Zero)
        }

        Name (_S1D, 0x03)  // _S1D: S1 Device State
        Name (_S2D, 0x04)  // _S2D: S2 Device State
        Name (_S3D, 0x06)  // _S3D: S3 Device State
        Name (_PCT, Package (0x02)  // _PCT: Performance Control
        {
            ResourceTemplate ()
            {
                Register (SystemMemory, 
                    0x20,               // Bit Width
                    0x00,               // Bit Offset
                    0x0000000010557000, // Address
                    0x03,               // Access Size
                    )
            }, 

            ResourceTemplate ()
            {
                Register (SystemMemory, 
                    0x20,               // Bit Width
                    0x00,               // Bit Offset
                    0x0000000010557004, // Address
                    0x03,               // Access Size
                    )
            }
        })
        Name (_PSS, Package (0x05)  // _PSS: Performance Supported States
        {
            Package (0x06)
            {
                0x0960, 
                0x09C4, 
                0x0A, 
                0x0A, 
                0x10, 
                0x20
            }, 

            Package (0x06)
            {
                0x0960, 
                0x09C4, 
                0x0A, 
                0x0A, 
                0x11, 
                0x21
            }, 

            Package (0x06)
            {
                0x04B0, 
                0x05DC, 
                0x0A, 
                0x0A, 
                0x12, 
                0x22
            }, 

            Package (0x06)
            {
                0x0320, 
                0x03E8, 
                0x0A, 
                0x0A, 
                0x13, 
                0x23
            }, 

            Package (0x06)
            {
                0x0258, 
                0x0320, 
                0x0A, 
                0x0A, 
                0x14, 
                0x24
            }
        })
        Name (_PSD, Package (0x01)  // _PSD: Power State Dependencies
        {
            Package (0x05)
            {
                0x05, 
                Zero, 
                0x03, 
                0xFC, 
                0x02
            }
        })
        Name (_CST, Package (0x07)  // _CST: C-States
        {
            0x02, 
            Package (0x04)
            {
                ResourceTemplate ()
                {
                    Register (FFixedHW, 
                        0x00,               // Bit Width
                        0x00,               // Bit Offset
                        0x0000000000000000, // Address
                        ,)
                }, 

                One, 
                Zero, 
                0x09C4
            }, 

            Package (0x04)
            {
                ResourceTemplate ()
                {
                    Register (SystemMemory, 
                        0x20,               // Bit Width
                        0x00,               // Bit Offset
                        0x0000000000000000, // Address
                        0x03,               // Access Size
                        )
                }, 

                0x02, 
                Zero, 
                Zero
            }, 

            Package (0x04)
            {
                ResourceTemplate ()
                {
                    Register (SystemMemory, 
                        0x20,               // Bit Width
                        0x00,               // Bit Offset
                        0x0000000010557018, // Address
                        0x03,               // Access Size
                        )
                }, 

                0x03, 
                0x00030D40, 
                0x0708
            }, 

            Package (0x04)
            {
                ResourceTemplate ()
                {
                    Register (SystemMemory, 
                        0x20,               // Bit Width
                        0x00,               // Bit Offset
                        0x000000001055701C, // Address
                        0x03,               // Access Size
                        )
                }, 

                0x04, 
                0x0007A120, 
                0x03E8
            }, 

            Package (0x04)
            {
                ResourceTemplate ()
                {
                    Register (SystemMemory, 
                        0x20,               // Bit Width
                        0x00,               // Bit Offset
                        0x0000000000000000, // Address
                        0x03,               // Access Size
                        )
                }, 

                0x05, 
                Zero, 
                Zero
            }, 

            Package (0x04)
            {
                ResourceTemplate ()
                {
                    Register (SystemMemory, 
                        0x20,               // Bit Width
                        0x00,               // Bit Offset
                        0x0000000010557020, // Address
                        0x03,               // Access Size
                        )
                }, 

                0x06, 
                0x00989680, 
                Zero
            }
        })
        Name (_CSD, Package (0x03)  // _CSD: C-State Dependencies
        {
            Package (0x06)
            {
                0x06, 
                Zero, 
                0x04, 
                0xFC, 
                0x02, 
                0x02
            }, 

            Package (0x06)
            {
                0x06, 
                Zero, 
                0x05, 
                0xFC, 
                0x08, 
                0x03
            }, 

            Package (0x06)
            {
                0x06, 
                Zero, 
                0x06, 
                0xFC, 
                0x08, 
                0x05
            }
        })
    }

    Method (DTGP, 5, NotSerialized)
    {
        If (Arg0 == Buffer (0x10)
                {
                    /* 0000 */  0xA7, 0x06, 0xB1, 0x12, 0xBF, 0x0B, 0x48, 0xD2,  /* ......H. */
                    /* 0008 */  0x9F, 0xA3, 0x95, 0x59, 0x1A, 0x3C, 0x4C, 0x06   /* ...Y.<L. */
                })
        {
            If (Arg1 == One)
            {
                If (Arg2 == Zero)
                {
                    Arg4 = Buffer (One)
                        {
                             0x03                                             /* . */
                        }
                    Return (One)
                }

                If (Arg2 == One)
                {
                    Return (One)
                }
            }
        }

        Arg4 = Buffer (One)
            {
                 0x00                                             /* . */
            }
        Return (Zero)
    }

    Device (_SB.SLIM)
    {
        Name (_HID, "APMC0D01")  // _HID: Hardware ID
        Name (_DDN, "SLIM")  // _DDN: DOS Device Name
        Name (_UID, "SLIM")  // _UID: Unique ID
        Name (_STR, Unicode ("SLIMpro Device"))  // _STR: Description String
        Name (_CID, "APMC0D01")  // _CID: Compatible ID
        Name (_CRS, ResourceTemplate ()  // _CRS: Current Resource Settings
        {
            Memory32Fixed (ReadWrite,
                0x10540000,         // Address Base
                0x0000A100,         // Address Length
                )
            Memory32Fixed (ReadWrite,
                0x17000000,         // Address Base
                0x00001000,         // Address Length
                )
            Memory32Fixed (ReadWrite,
                0x17001000,         // Address Base
                0x00001000,         // Address Length
                )
            Interrupt (ResourceProducer, Level, ActiveHigh, Exclusive, ,, )
            {
                0x00000020,
            }
            Interrupt (ResourceProducer, Level, ActiveHigh, Exclusive, ,, )
            {
                0x00000021,
            }
            Interrupt (ResourceProducer, Level, ActiveHigh, Exclusive, ,, )
            {
                0x00000022,
            }
            Interrupt (ResourceProducer, Level, ActiveHigh, Exclusive, ,, )
            {
                0x00000023,
            }
            Interrupt (ResourceProducer, Level, ActiveHigh, Exclusive, ,, )
            {
                0x00000024,
            }
            Interrupt (ResourceProducer, Level, ActiveHigh, Exclusive, ,, )
            {
                0x00000025,
            }
            Interrupt (ResourceProducer, Level, ActiveHigh, Exclusive, ,, )
            {
                0x00000026,
            }
            Interrupt (ResourceProducer, Level, ActiveHigh, Exclusive, ,, )
            {
                0x00000027,
            }
        })
        Name (DBST, Zero)
        Name (DBEN, 0x07)
        Name (DBRT, 0x05)
        Name (DBEV, 0x07)
        Name (DBIC, Zero)
    }

    Device (_SB.EMC0)
    {
        Name (_HID, "APMC0D10")  // _HID: Hardware ID
        Name (_DDN, "EMC0")  // _DDN: DOS Device Name
        Name (_UID, "EMC0")  // _UID: Unique ID
        Name (_STR, Unicode ("EDAC MC0 Device"))  // _STR: Description String
        Name (_ADR, 0x7E800000)  // _ADR: Address
        Name (_CID, "APMC0D10")  // _CID: Compatible ID
        Name (_CRS, ResourceTemplate ()  // _CRS: Current Resource Settings
        {
            Memory32Fixed (ReadWrite,
                0x78800000,         // Address Base
                0x00001000,         // Address Length
                )
            Memory32Fixed (ReadWrite,
                0x7E200000,         // Address Base
                0x00001000,         // Address Length
                )
            Memory32Fixed (ReadWrite,
                0x7E700000,         // Address Base
                0x00001000,         // Address Length
                )
            Memory32Fixed (ReadWrite,
                0x7E720000,         // Address Base
                0x00001000,         // Address Length
                )
            Memory32Fixed (ReadWrite,
                0x7E800000,         // Address Base
                0x00001000,         // Address Length
                )
            Interrupt (ResourceProducer, Level, ActiveHigh, Exclusive, ,, )
            {
                0x00000040,
            }
            Interrupt (ResourceProducer, Level, ActiveHigh, Exclusive, ,, )
            {
                0x00000041,
            }
        })
    }

    Device (_SB.EMC1)
    {
        Name (_HID, "APMC0D10")  // _HID: Hardware ID
        Name (_DDN, "EMC1")  // _DDN: DOS Device Name
        Name (_UID, "EMC1")  // _UID: Unique ID
        Name (_STR, Unicode ("EDAC MC1 Device"))  // _STR: Description String
        Name (_ADR, 0x7E840000)  // _ADR: Address
        Name (_CID, "APMC0D10")  // _CID: Compatible ID
        Name (_CRS, ResourceTemplate ()  // _CRS: Current Resource Settings
        {
            Memory32Fixed (ReadWrite,
                0x78800000,         // Address Base
                0x00001000,         // Address Length
                )
            Memory32Fixed (ReadWrite,
                0x7E200000,         // Address Base
                0x00001000,         // Address Length
                )
            Memory32Fixed (ReadWrite,
                0x7E700000,         // Address Base
                0x00001000,         // Address Length
                )
            Memory32Fixed (ReadWrite,
                0x7E720000,         // Address Base
                0x00001000,         // Address Length
                )
            Memory32Fixed (ReadWrite,
                0x7E840000,         // Address Base
                0x00001000,         // Address Length
                )
            Interrupt (ResourceProducer, Level, ActiveHigh, Exclusive, ,, )
            {
                0x00000040,
            }
            Interrupt (ResourceProducer, Level, ActiveHigh, Exclusive, ,, )
            {
                0x00000041,
            }
        })
    }

    Device (_SB.EMC2)
    {
        Name (_HID, "APMC0D10")  // _HID: Hardware ID
        Name (_DDN, "EMC2")  // _DDN: DOS Device Name
        Name (_UID, "EMC2")  // _UID: Unique ID
        Name (_STR, Unicode ("EDAC MC2 Device"))  // _STR: Description String
        Name (_ADR, 0x7E880000)  // _ADR: Address
        Name (_CID, "APMC0D10")  // _CID: Compatible ID
        Name (_CRS, ResourceTemplate ()  // _CRS: Current Resource Settings
        {
            Memory32Fixed (ReadWrite,
                0x78800000,         // Address Base
                0x00001000,         // Address Length
                )
            Memory32Fixed (ReadWrite,
                0x7E200000,         // Address Base
                0x00001000,         // Address Length
                )
            Memory32Fixed (ReadWrite,
                0x7E700000,         // Address Base
                0x00001000,         // Address Length
                )
            Memory32Fixed (ReadWrite,
                0x7E720000,         // Address Base
                0x00001000,         // Address Length
                )
            Memory32Fixed (ReadWrite,
                0x7E880000,         // Address Base
                0x00001000,         // Address Length
                )
            Interrupt (ResourceProducer, Level, ActiveHigh, Exclusive, ,, )
            {
                0x00000040,
            }
            Interrupt (ResourceProducer, Level, ActiveHigh, Exclusive, ,, )
            {
                0x00000041,
            }
        })
    }

    Device (_SB.EMC3)
    {
        Name (_HID, "APMC0D10")  // _HID: Hardware ID
        Name (_DDN, "EMC3")  // _DDN: DOS Device Name
        Name (_UID, "EMC3")  // _UID: Unique ID
        Name (_STR, Unicode ("EDAC MC3 Device"))  // _STR: Description String
        Name (_ADR, 0x7E8C0000)  // _ADR: Address
        Name (_CID, "APMC0D10")  // _CID: Compatible ID
        Name (_CRS, ResourceTemplate ()  // _CRS: Current Resource Settings
        {
            Memory32Fixed (ReadWrite,
                0x78800000,         // Address Base
                0x00001000,         // Address Length
                )
            Memory32Fixed (ReadWrite,
                0x7E200000,         // Address Base
                0x00001000,         // Address Length
                )
            Memory32Fixed (ReadWrite,
                0x7E700000,         // Address Base
                0x00001000,         // Address Length
                )
            Memory32Fixed (ReadWrite,
                0x7E720000,         // Address Base
                0x00001000,         // Address Length
                )
            Memory32Fixed (ReadWrite,
                0x7E8C0000,         // Address Base
                0x00001000,         // Address Length
                )
            Interrupt (ResourceProducer, Level, ActiveHigh, Exclusive, ,, )
            {
                0x00000040,
            }
            Interrupt (ResourceProducer, Level, ActiveHigh, Exclusive, ,, )
            {
                0x00000041,
            }
        })
    }

    Device (_SB.EL3)
    {
        Name (_HID, "APMC0D11")  // _HID: Hardware ID
        Name (_DDN, "EL3")  // _DDN: DOS Device Name
        Name (_UID, "EL3")  // _UID: Unique ID
        Name (_STR, Unicode ("EDAC L3 Device"))  // _STR: Description String
        Name (_ADR, 0x7E600000)  // _ADR: Address
        Name (_CID, "APMC0D11")  // _CID: Compatible ID
        Name (_CRS, ResourceTemplate ()  // _CRS: Current Resource Settings
        {
            Memory32Fixed (ReadWrite,
                0x78800000,         // Address Base
                0x00001000,         // Address Length
                )
            Memory32Fixed (ReadWrite,
                0x7E600000,         // Address Base
                0x00001000,         // Address Length
                )
            Interrupt (ResourceProducer, Level, ActiveHigh, Exclusive, ,, )
            {
                0x00000040,
            }
            Interrupt (ResourceProducer, Level, ActiveHigh, Exclusive, ,, )
            {
                0x00000041,
            }
        })
    }

    Device (_SB.PMD0)
    {
        Name (_HID, "APMC0D12")  // _HID: Hardware ID
        Name (_DDN, "PMD0")  // _DDN: DOS Device Name
        Name (_UID, "PMD0")  // _UID: Unique ID
        Name (_STR, Unicode ("EDAC PMD0 Device"))  // _STR: Description String
        Name (_ADR, 0x7C000000)  // _ADR: Address
        Name (_CID, "APMC0D12")  // _CID: Compatible ID
        Name (_CRS, ResourceTemplate ()  // _CRS: Current Resource Settings
        {
            Memory32Fixed (ReadWrite,
                0x78800000,         // Address Base
                0x00001000,         // Address Length
                )
            Memory32Fixed (ReadWrite,
                0x7C000000,         // Address Base
                0x00200000,         // Address Length
                )
            Memory32Fixed (ReadWrite,
                0x1054A000,         // Address Base
                0x00000010,         // Address Length
                )
            Interrupt (ResourceProducer, Level, ActiveHigh, Exclusive, ,, )
            {
                0x00000040,
            }
            Interrupt (ResourceProducer, Level, ActiveHigh, Exclusive, ,, )
            {
                0x00000041,
            }
        })
    }

    Device (_SB.PMD1)
    {
        Name (_HID, "APMC0D12")  // _HID: Hardware ID
        Name (_DDN, "PMD1")  // _DDN: DOS Device Name
        Name (_UID, "PMD1")  // _UID: Unique ID
        Name (_STR, Unicode ("EDAC PMD1 Device"))  // _STR: Description String
        Name (_ADR, 0x7C200000)  // _ADR: Address
        Name (_CID, "APMC0D12")  // _CID: Compatible ID
        Name (_CRS, ResourceTemplate ()  // _CRS: Current Resource Settings
        {
            Memory32Fixed (ReadWrite,
                0x78800000,         // Address Base
                0x00001000,         // Address Length
                )
            Memory32Fixed (ReadWrite,
                0x7C200000,         // Address Base
                0x00200000,         // Address Length
                )
            Memory32Fixed (ReadWrite,
                0x1054A000,         // Address Base
                0x00000010,         // Address Length
                )
            Interrupt (ResourceProducer, Level, ActiveHigh, Exclusive, ,, )
            {
                0x00000040,
            }
            Interrupt (ResourceProducer, Level, ActiveHigh, Exclusive, ,, )
            {
                0x00000041,
            }
        })
    }

    Device (_SB.PMD2)
    {
        Name (_HID, "APMC0D12")  // _HID: Hardware ID
        Name (_DDN, "PMD2")  // _DDN: DOS Device Name
        Name (_UID, "PMD2")  // _UID: Unique ID
        Name (_STR, Unicode ("EDAC PMD2 Device"))  // _STR: Description String
        Name (_ADR, 0x7C400000)  // _ADR: Address
        Name (_CID, "APMC0D12")  // _CID: Compatible ID
        Name (_CRS, ResourceTemplate ()  // _CRS: Current Resource Settings
        {
            Memory32Fixed (ReadWrite,
                0x78800000,         // Address Base
                0x00001000,         // Address Length
                )
            Memory32Fixed (ReadWrite,
                0x7C400000,         // Address Base
                0x00200000,         // Address Length
                )
            Memory32Fixed (ReadWrite,
                0x1054A000,         // Address Base
                0x00000010,         // Address Length
                )
            Interrupt (ResourceProducer, Level, ActiveHigh, Exclusive, ,, )
            {
                0x00000040,
            }
            Interrupt (ResourceProducer, Level, ActiveHigh, Exclusive, ,, )
            {
                0x00000041,
            }
        })
    }

    Device (_SB.PMD3)
    {
        Name (_HID, "APMC0D12")  // _HID: Hardware ID
        Name (_DDN, "PMD3")  // _DDN: DOS Device Name
        Name (_UID, "PMD3")  // _UID: Unique ID
        Name (_STR, Unicode ("EDAC PMD3 Device"))  // _STR: Description String
        Name (_ADR, 0x7C600000)  // _ADR: Address
        Name (_CID, "APMC0D12")  // _CID: Compatible ID
        Name (_CRS, ResourceTemplate ()  // _CRS: Current Resource Settings
        {
            Memory32Fixed (ReadWrite,
                0x78800000,         // Address Base
                0x00001000,         // Address Length
                )
            Memory32Fixed (ReadWrite,
                0x7C600000,         // Address Base
                0x00200000,         // Address Length
                )
            Memory32Fixed (ReadWrite,
                0x1054A000,         // Address Base
                0x00000010,         // Address Length
                )
            Interrupt (ResourceProducer, Level, ActiveHigh, Exclusive, ,, )
            {
                0x00000040,
            }
            Interrupt (ResourceProducer, Level, ActiveHigh, Exclusive, ,, )
            {
                0x00000041,
            }
        })
    }

    Device (_SB.ESOC)
    {
        Name (_HID, "APMC0D13")  // _HID: Hardware ID
        Name (_DDN, "ESOC")  // _DDN: DOS Device Name
        Name (_UID, "ESOC")  // _UID: Unique ID
        Name (_STR, Unicode ("EDAC SOC Device"))  // _STR: Description String
        Name (_ADR, 0x7E930000)  // _ADR: Address
        Name (_CID, "APMC0D13")  // _CID: Compatible ID
        Name (_CRS, ResourceTemplate ()  // _CRS: Current Resource Settings
        {
            Memory32Fixed (ReadWrite,
                0x78800000,         // Address Base
                0x00001000,         // Address Length
                )
            Memory32Fixed (ReadWrite,
                0x7E930000,         // Address Base
                0x00001000,         // Address Length
                )
            Memory32Fixed (ReadWrite,
                0x7E000000,         // Address Base
                0x00001000,         // Address Length
                )
            Interrupt (ResourceProducer, Level, ActiveHigh, Exclusive, ,, )
            {
                0x00000040,
            }
            Interrupt (ResourceProducer, Level, ActiveHigh, Exclusive, ,, )
            {
                0x00000041,
            }
            Interrupt (ResourceProducer, Level, ActiveHigh, Exclusive, ,, )
            {
                0x00000047,
            }
        })
    }

    Device (_SB.GP00)
    {
        Name (_HID, "APMC0D07")  // _HID: Hardware ID
        Name (_CID, "APMC0D07")  // _CID: Compatible ID
        Name (_UID, "GPIO0")  // _UID: Unique ID
        Name (_STR, Unicode ("GPIO Device"))  // _STR: Description String
        Name (_CRS, ResourceTemplate ()  // _CRS: Current Resource Settings
        {
            Memory32Fixed (ReadWrite,
                0x1C024000,         // Address Base
                0x00001000,         // Address Length
                )
        })
    }

    Device (_SB.GPSB)
    {
        Name (_HID, "APMC0D15")  // _HID: Hardware ID
        Name (_CID, "APMC0D15")  // _CID: Compatible ID
        Name (_UID, "GPIOSB")  // _UID: Unique ID
        Name (_STR, Unicode ("GPIOSB Device"))  // _STR: Description String
        Method (_DSM, 4, NotSerialized)  // _DSM: Device-Specific Method
        {
            Local0 = Package (0x06)
                {
                    "ngpio", 
                    "22", 
                    "nirq", 
                    "6", 
                    "irq_pins", 
                    "8 9 10 11 12 13"
                }
            Return (Local0)
        }

        Name (_CRS, ResourceTemplate ()  // _CRS: Current Resource Settings
        {
            Memory32Fixed (ReadWrite,
                0x17001000,         // Address Base
                0x00000400,         // Address Length
                )
            Interrupt (ResourceProducer, Edge, ActiveHigh, Exclusive, ,, )
            {
                0x00000048,
            }
            Interrupt (ResourceProducer, Edge, ActiveHigh, Exclusive, ,, )
            {
                0x00000049,
            }
            Interrupt (ResourceProducer, Edge, ActiveHigh, Exclusive, ,, )
            {
                0x0000004A,
            }
            Interrupt (ResourceProducer, Edge, ActiveHigh, Exclusive, ,, )
            {
                0x0000004B,
            }
            Interrupt (ResourceProducer, Edge, ActiveHigh, Exclusive, ,, )
            {
                0x0000004C,
            }
            Interrupt (ResourceProducer, Edge, ActiveHigh, Exclusive, ,, )
            {
                0x0000004D,
            }
        })
        Name (_AEI, ResourceTemplate ()  // _AEI: ACPI Event Interrupts
        {
            GpioInt (Edge, ActiveHigh, ExclusiveAndWake, PullDown, 0x0000,
                "\\_SB.GPSB", 0x00, ResourceConsumer, ,
                )
                {   // Pin list
                    0x000A
                }
        })
        Method (_EVT, 1, Serialized)  // _EVT: Event
        {
            Name (_T_0, Zero)  // _T_x: Emitted by ASL Compiler
            While (One)
            {
                _T_0 = ToInteger (Arg0)
                If (_T_0 == 0x0A)
                {
                    Notify (PWRB, 0x80) // Status Change
                }
                Else
                {
                }

                Break
            }
        }
    }

    Device (PWRB)
    {
        Name (_HID, EisaId ("PNP0C0C") /* Power Button Device */)  // _HID: Hardware ID
        Name (_ADR, Zero)  // _ADR: Address
        Name (_UID, Zero)  // _UID: Unique ID
        Method (_STA, 0, NotSerialized)  // _STA: Status
        {
            Return (0x0F)
        }
    }

    Device (_SB.AHBC)
    {
        OperationRegion (SRST, SystemMemory, 0x1F2AC000, 0x04)
        OperationRegion (CLKE, SystemMemory, 0x1F2AC004, 0x04)
        OperationRegion (SRRM, SystemMemory, 0x1F2AD070, 0x04)
        OperationRegion (RD2F, SystemMemory, 0x1F2AE014, 0x04)
        Field (SRST, DWordAcc, NoLock, Preserve)
        {
            ACSR,   1, 
            SDRS,   1, 
            IORS,   1, 
            U0RS,   1, 
            U1RS,   1, 
            U2RS,   1, 
            U3RS,   1, 
            S0RS,   1, 
            S1RS,   1, 
            APRS,   1
        }

        Field (CLKE, DWordAcc, NoLock, Preserve)
        {
            ACCE,   1, 
            SDCE,   1, 
            IOCE,   1, 
            U0CE,   1, 
            U1CE,   1, 
            U2CE,   1, 
            U3CE,   1, 
            S0CE,   1, 
            S1CE,   1, 
            APCE,   1
        }

        Field (SRRM, DWordAcc, NoLock, Preserve)
        {
            RMSH,   32
        }

        Field (RD2F, DWordAcc, NoLock, Preserve)
        {
            RSV9,   1, 
            RDFL,   1, 
            RSVA,   30
        }

        Name (_HID, "APMC0D06")  // _HID: Hardware ID
        Name (_DDN, "AHBC")  // _DDN: DOS Device Name
        Name (_UID, "AHBC")  // _UID: Unique ID
        Name (_CID, "APMC0D06")  // _CID: Compatible ID
        Name (_STR, Unicode ("AHBC Peripheral Bus"))  // _STR: Description String
        Method (_STA, 0, NotSerialized)  // _STA: Status
        {
            If ((NAnd (ACSR, One) || NAnd (APRS, One)) || (
                (ACCE == Zero) || (APCE == Zero)))
            {
                Return (One)
            }

            Return (0x03)
        }

        Name (_CRS, ResourceTemplate ()  // _CRS: Current Resource Settings
        {
            Memory32Fixed (ReadWrite,
                0x1F2A0000,         // Address Base
                0x00080000,         // Address Length
                )
            Memory32Fixed (ReadWrite,
                0x1C000200,         // Address Base
                0x00000100,         // Address Length
                )
        })
        Device (UAR0)
        {
            Name (_HID, "APMC0D08")  // _HID: Hardware ID
            Name (_DDN, "UAR0")  // _DDN: DOS Device Name
            Name (_UID, "UAR0")  // _UID: Unique ID
            Name (_STR, Unicode ("APM88xxxx UART0 Controller"))  // _STR: Description String
            Name (_ADR, 0x1C021000)  // _ADR: Address
            Name (_CID, "NS16550A")  // _CID: Compatible ID
            Method (_DIS, 0, NotSerialized)  // _DIS: Disable Device
            {
                U1CE = Zero
                U1RS = One
            }

            Method (_STA, 0, NotSerialized)  // _STA: Status
            {
                If (NAnd (U1RS, One) || (U1CE == Zero))
                {
                    Return (One)
                }

                Return (0x03)
            }

            Method (_PS0, 0, NotSerialized)  // _PS0: Power State 0
            {
                U1CE = One
                U1RS = Zero
            }

            Method (_PS3, 0, NotSerialized)  // _PS3: Power State 3
            {
                U1CE = Zero
                U1RS = One
            }

            Method (_PSC, 0, NotSerialized)  // _PSC: Power State Current
            {
                If (NAnd (U1RS, One) || (U1CE == Zero))
                {
                    Return (0x03)
                }

                Return (Zero)
            }

            Name (_PR0, Package (0x01)  // _PR0: Power Resources for D0
            {
                SCVR
            })
            Name (_S1D, 0x03)  // _S1D: S1 Device State
            Name (_S1W, Zero)  // _S1W: S1 Device Wake State
            Name (_PRW, Package (0x02)  // _PRW: Power Resources for Wake
            {
                Zero, 
                0x03
            })
            Name (_CRS, ResourceTemplate ()  // _CRS: Current Resource Settings
            {
                Memory32Fixed (ReadWrite,
                    0x1C021000,         // Address Base
                    0x00000100,         // Address Length
                    )
                UartSerialBusV2 (0x00002580, DataBitsEight, StopBitsOne,
                    0x00, LittleEndian, ParityTypeNone, FlowControlHardware,
                    0x0010, 0x0010, "UAR0",
                    0x00, ResourceConsumer, , Exclusive,
                    )
                Interrupt (ResourceProducer, Level, ActiveHigh, Exclusive, ,, )
                {
                    0x0000006D,
                }
            })
            Method (_DSD, 0, NotSerialized)  // _DSD: Device-Specific Data
            {
                Local0 = Package (0x02)
                    {
                        ToUUID ("daffd814-6eba-4d8c-8a91-bc9bbf4aa301") /* Device Properties for _DSD */, 
                        Package (0x01)
                        {
                            Package (0x02)
                            {
                                "clock-frequency", 
                                Zero
                            }
                        }
                    }
                DerefOf (DerefOf (Local0 [One]) [Zero]) [One]
                     = UCLK /* External reference */
                Return (Local0)
            }
        }

        Device (^GP01)
        {
            Name (_HID, "APMC0D14")  // _HID: Hardware ID
            Name (_DDN, "GP01")  // _DDN: DOS Device Name
            Name (_UID, "GP01")  // _UID: Unique ID
            Name (_STR, Unicode ("GFC GPIO Device Port"))  // _STR: Description String
            Name (_CRS, ResourceTemplate ()  // _CRS: Current Resource Settings
            {
                Memory32Fixed (ReadWrite,
                    0x1701C000,         // Address Base
                    0x00001000,         // Address Length
                    )
            })
        }
    }

    Device (I2C0)
    {
        Name (_HID, "APMC0D0F")  // _HID: Hardware ID
        Name (_CID, "APMC0D0F")  // _CID: Compatible ID
        Name (_UID, One)  // _UID: Unique ID
        Name (_ADR, 0x00150001)  // _ADR: Address
        Name (_CRS, ResourceTemplate ()  // _CRS: Current Resource Settings
        {
            Memory32Fixed (ReadWrite,
                0x10512000,         // Address Base
                0x00010000,         // Address Length
                )
            Interrupt (ResourceProducer, Level, ActiveHigh, Exclusive, ,, )
            {
                0x00000064,
            }
        })
        OperationRegion (SMEM, SystemMemory, 0x1051E008, 0x04)
        Field (SMEM, DWordAcc, NoLock, Preserve)
        {
            CLK0,   2
        }

        Method (SPD, 0, NotSerialized)
        {
            CLK0 = 0x000F4240
        }

        Method (_STA, 0, NotSerialized)  // _STA: Status
        {
            Return (Zero)
        }
    }

    Device (_SB.I2CS)
    {
        Name (_HID, "APMC0D40")  // _HID: Hardware ID
        Name (_DDN, "I2CS")  // _DDN: DOS Device Name
        Name (_UID, "I2CS")  // _UID: Unique ID
        Name (_STR, Unicode ("SLIMpro IIC1 Serial Bus"))  // _STR: Description String
        Name (_DSD, Package (0x02)  // _DSD: Device-Specific Data
        {
            ToUUID ("daffd814-6eba-4d8c-8a91-bc9bbf4aa301") /* Device Properties for _DSD */, 
            Package (0x01)
            {
                Package (0x02)
                {
                    "mboxes", 
                    Package (0x02)
                    {
                        SLIM, 
                        Zero
                    }
                }
            }
        })
    }

    Device (_SB.SAT2)
    {
        Name (_HID, "APMC0D0D")  // _HID: Hardware ID
        Name (_UID, 0x03)  // _UID: Unique ID
        Name (_STR, Unicode ("X-Gene SATA"))  // _STR: Description String
        Name (_CCA, One)  // _CCA: Cache Coherency Attribute
        Method (_STA, 0, NotSerialized)  // _STA: Status
        {
            Return (One)
        }

        Name (_CRS, ResourceTemplate ()  // _CRS: Current Resource Settings
        {
            Memory32Fixed (ReadWrite,
                0x1A800000,         // Address Base
                0x00001000,         // Address Length
                )
            Memory32Fixed (ReadWrite,
                0x1F230000,         // Address Base
                0x00001000,         // Address Length
                )
            Memory32Fixed (ReadWrite,
                0x1F23D000,         // Address Base
                0x00001000,         // Address Length
                )
            Memory32Fixed (ReadWrite,
                0x1F23E000,         // Address Base
                0x00001000,         // Address Length
                )
            Interrupt (ResourceConsumer, Level, ActiveHigh, Exclusive, ,, )
            {
                0x000000A8,
            }
        })
    }

    Device (_SB.MSIX)
    {
        Name (_HID, "APMC0D0E")  // _HID: Hardware ID
        Name (_UID, Zero)  // _UID: Unique ID
        Name (_STR, Unicode ("X-Gene MSI/MSIX"))  // _STR: Description String
        Name (_CCA, One)  // _CCA: Cache Coherency Attribute
        Method (_STA, 0, NotSerialized)  // _STA: Status
        {
            Return (One)
        }

        Name (_CRS, ResourceTemplate ()  // _CRS: Current Resource Settings
        {
            Memory32Fixed (ReadWrite,
                0x79000000,         // Address Base
                0x00900000,         // Address Length
                )
            Interrupt (ResourceConsumer, Level, ActiveHigh, Exclusive, ,, )
            {
                0x00000030,
            }
            Interrupt (ResourceConsumer, Level, ActiveHigh, Exclusive, ,, )
            {
                0x00000031,
            }
            Interrupt (ResourceConsumer, Level, ActiveHigh, Exclusive, ,, )
            {
                0x00000032,
            }
            Interrupt (ResourceConsumer, Level, ActiveHigh, Exclusive, ,, )
            {
                0x00000033,
            }
            Interrupt (ResourceConsumer, Level, ActiveHigh, Exclusive, ,, )
            {
                0x00000034,
            }
            Interrupt (ResourceConsumer, Level, ActiveHigh, Exclusive, ,, )
            {
                0x00000035,
            }
            Interrupt (ResourceConsumer, Level, ActiveHigh, Exclusive, ,, )
            {
                0x00000036,
            }
            Interrupt (ResourceConsumer, Level, ActiveHigh, Exclusive, ,, )
            {
                0x00000037,
            }
            Interrupt (ResourceConsumer, Level, ActiveHigh, Exclusive, ,, )
            {
                0x00000038,
            }
            Interrupt (ResourceConsumer, Level, ActiveHigh, Exclusive, ,, )
            {
                0x00000039,
            }
            Interrupt (ResourceConsumer, Level, ActiveHigh, Exclusive, ,, )
            {
                0x0000003A,
            }
            Interrupt (ResourceConsumer, Level, ActiveHigh, Exclusive, ,, )
            {
                0x0000003B,
            }
            Interrupt (ResourceConsumer, Level, ActiveHigh, Exclusive, ,, )
            {
                0x0000003C,
            }
            Interrupt (ResourceConsumer, Level, ActiveHigh, Exclusive, ,, )
            {
                0x0000003D,
            }
            Interrupt (ResourceConsumer, Level, ActiveHigh, Exclusive, ,, )
            {
                0x0000003E,
            }
            Interrupt (ResourceConsumer, Level, ActiveHigh, Exclusive, ,, )
            {
                0x0000003F,
            }
        })
        Method (_DSM, 4, NotSerialized)  // _DSM: Device-Specific Method
        {
            Local0 = Package (0x02)
                {
                    "msi-available-ranges", 
                    "0x0 0x1000"
                }
            DTGP (Arg0, Arg1, Arg2, Arg3, RefOf (Local0))
            Return (Local0)
        }
    }

    Device (_SB.PKA)
    {
        Name (_HID, "APMC0D17")  // _HID: Hardware ID
        Name (_UID, Zero)  // _UID: Unique ID
        Name (_STR, Unicode ("X-Gene Pka"))  // _STR: Description String
        Name (_CCA, One)  // _CCA: Cache Coherency Attribute
        Method (_STA, 0, NotSerialized)  // _STA: Status
        {
            Return (One)
        }

        Name (_CRS, ResourceTemplate ()  // _CRS: Current Resource Settings
        {
            Memory32Fixed (ReadWrite,
                0x10524000,         // Address Base
                0x00004000,         // Address Length
                )
            Interrupt (ResourceConsumer, Level, ActiveHigh, Exclusive, ,, )
            {
                0x00000063,
            }
        })
        OperationRegion (RSTQ, SystemMemory, 0x1700000C, 0x04)
        Field (RSTQ, DWordAcc, NoLock, Preserve)
        {
            RSV1,   4, 
            RSTE,   1
        }

        OperationRegion (CLKQ, SystemMemory, 0x17000010, 0x04)
        Field (CLKQ, DWordAcc, NoLock, Preserve)
        {
            RSV2,   4, 
            CLKE,   1
        }

        Method (_INI, 0, NotSerialized)  // _INI: Initialize
        {
            If (!CLKE)
            {
                RSTE = One
                Stall (0x64)
                RSTE = Zero
                Stall (0x64)
                CLKE = One
                Stall (0x64)
            }
        }
    }

    Device (_SB.TRNG)
    {
        Name (_HID, "APMC0D18")  // _HID: Hardware ID
        Name (_UID, Zero)  // _UID: Unique ID
        Name (_STR, Unicode ("X-Gene TRNG"))  // _STR: Description String
        Name (_CCA, One)  // _CCA: Cache Coherency Attribute
        Method (_STA, 0, NotSerialized)  // _STA: Status
        {
            Return (One)
        }

        Name (_CRS, ResourceTemplate ()  // _CRS: Current Resource Settings
        {
            Memory32Fixed (ReadWrite,
                0x10520000,         // Address Base
                0x00004000,         // Address Length
                )
            Interrupt (ResourceConsumer, Level, ActiveHigh, Exclusive, ,, )
            {
                0x00000061,
            }
        })
        OperationRegion (RSTQ, SystemMemory, 0x1700000C, 0x04)
        Field (RSTQ, DWordAcc, NoLock, Preserve)
        {
            RSV1,   4, 
            RSTE,   1
        }

        OperationRegion (CLKQ, SystemMemory, 0x17000010, 0x04)
        Field (CLKQ, DWordAcc, NoLock, Preserve)
        {
            RSV2,   4, 
            CLKE,   1
        }

        Method (_INI, 0, NotSerialized)  // _INI: Initialize
        {
            If (!CLKE)
            {
                RSTE = One
                Stall (0x64)
                RSTE = Zero
                Stall (0x64)
                CLKE = One
                Stall (0x64)
            }
        }
    }

    Device (HED)
    {
        Name (_HID, EisaId ("PNP0C33") /* Error Device */)  // _HID: Hardware ID
        Name (_UID, Zero)  // _UID: Unique ID
    }

    Device (_SB.APEI)
    {
        Name (_HID, "APMC0D50")  // _HID: Hardware ID
        Name (_UID, Zero)  // _UID: Unique ID
        Name (_STR, Unicode ("X-Gene APEI"))  // _STR: Description String
        Name (_CCA, One)  // _CCA: Cache Coherency Attribute
        Method (_STA, 0, NotSerialized)  // _STA: Status
        {
            Return (One)
        }

        Name (_CRS, ResourceTemplate ()  // _CRS: Current Resource Settings
        {
            Memory32Fixed (ReadWrite,
                0x10546000,         // Address Base
                0x00001000,         // Address Length
                )
            Interrupt (ResourceProducer, Level, ActiveHigh, Exclusive, ,, )
            {
                0x00000026,
            }
        })
        Method (_EVT, 1, Serialized)  // _EVT: Event
        {
            Notify (HED, 0x80) // Status Change
        }
    }
}

